using System;
using System.Collections.Generic;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IRankPriceService
    {
        Task<IResponseOutput> AddOrUpdateRankPrice(RankPriceCommand addOrUpdateModel, Guid userId);

        Task<PageOutput<RankPriceDTO>> GetRankPriceList(RankPriceQueryDTO queryParam);

        Task<IResponseOutput> DeleteRankPrice( Guid id);

        Task<List<RankDic>> GetRankDic();
    }
}